Name:		wide-dhcpv6
Version:	20080615
Release:	1.3
Summary:	Wide DHCPv6
Group:		Productivity/Networking/System
Url:		http://sourceforge.net/projects/wide-dhcpv6/
License:	WIDE Project (see COPYING)
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}_%{version}-11.debian.tar.bz2
Source2:	%{name}-destdir.patch
Source3:	dhcp6r.init
Source4:	dhcp6s.init
Source5:	sysconfig-network.dhcp6r
Source6:	sysconfig-network.dhcp6s
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Conflicts:	dhcpv6
BuildRequires:	patch flex bison

%description
WIDE-DHCPv6 is an open-source implementation of Dynamic Host
Configuration Protocol for IPv6 (DHCPv6) originally developed
by the KAME project.
The implementation mainly conforms to the following
standards: RFC3315,3319,3633,3646,4075,4272,etc.

%prep
%setup -q -a 1
cp %{S:2} debian/patches/0008-destdir.patch
%build
for patch in `ls -1A debian/patches/*.patch` ; do
	patch -p1 < $patch
done
%configure
%__make

%install
%__make DESTDIR=%{buildroot} install
%__install -D %{S:3} %{buildroot}%{_sysconfdir}/init.d/dhcp6r
%__install -D %{S:4} %{buildroot}%{_sysconfdir}/init.d/dhcp6s
%__install -D -m0644 %{S:5} %{buildroot}%{_sysconfdir}/sysconfig/network/dhcp6r
%__install -D -m0644 %{S:6} %{buildroot}%{_sysconfdir}/sysconfig/network/dhcp6s
%__install -D -m0644 dhcp6c.conf.sample %{buildroot}%{_sysconfdir}/dhcp6c.conf
%__install -D -m0644 dhcp6s.conf.sample %{buildroot}%{_sysconfdir}/dhcp6s.conf

%clean
rm -rf %{buildroot}

%preun
%stop_on_removal dhcp6r
%stop_on_removal dhcp6s

%postun
%insserv_cleanup

%files
%defattr(-,root,root)
%doc CHANGES README COPYRIGHT
%{_sbindir}/dhcp6c
%{_sbindir}/dhcp6ctl
%{_sbindir}/dhcp6relay
%{_sbindir}/dhcp6s
%{_mandir}/man5/dhcp6c.conf.5*
%{_mandir}/man5/dhcp6s.conf.5*
%{_mandir}/man8/dhcp6c.8*
%{_mandir}/man8/dhcp6ctl.8*
%{_mandir}/man8/dhcp6relay.8*
%{_mandir}/man8/dhcp6s.8*
%config(noreplace) %{_sysconfdir}/sysconfig/network/dhcp6r
%config(noreplace) %{_sysconfdir}/sysconfig/network/dhcp6s
%{_sysconfdir}/init.d/dhcp6r
%{_sysconfdir}/init.d/dhcp6s
%config(noreplace) %{_sysconfdir}/dhcp6c.conf
%config(noreplace) %{_sysconfdir}/dhcp6s.conf

%changelog
* Mon Mar 14 2011 cs@linux-administrator.com
- initial package build
